test_link_libs = [runtime_lib]
if get_option('default_library') == 'static'
  test_link_libs += null_renderer_lib
endif

rttest_exe = executable('rttest',
  'rttest.c',
  link_with : test_link_libs,
  include_directories : engine_incdir,
  win_subsystem : 'console')
test('runtime test', rttest_exe)
